package com.gh.common.chain

import com.gh.vspace.VHelper

class VaPluginDownloadWrapper(val gameId: String, val callback: (Boolean, Any?) -> Unit) : (Boolean, Any?) -> Unit {
    override fun invoke(asVGame: Boolean, any: Any?) {
        callback.invoke(asVGame, any)
        if (asVGame) {
            VHelper.initVaPlugin(gameId)
        }
    }
}